Bug 592954

Summary: Wrong Categories in goldendict .desktop file
Product: [Fedora] Fedora Reporter: nucleo <alekcejk>
Component: goldendictAssignee: Howard Ning <mrlhwliberty>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 14CC: mrlhwliberty
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: goldendict-1.0.1-2.fc13 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-12-13 20:02:30 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description nucleo 2010-05-17 13:13:46 UTC
Description of problem:
GoldenDict uses wrong Main Category in .desktop file - Utility.

Version-Release number of selected component (if applicable):
goldendict-0.9.0-11.20100510gitceab951.fc13.i686

Additional info:
Following to freedesktop standards
http://standards.freedesktop.org/menu-spec/latest/apa.html

related categories for Dictionary is Office;TextTools so main category is Office, not Utility.

Office is also used in upstream goldendict.desktop file:

Categories=Office;Dictionary;Education;Qt;Applications

Comment 1 Howard Ning 2010-05-19 12:04:02 UTC
I have also filed a bug for the gnome-dictionary. I hope we can resolve this problem together to achieve consistency of the categories.
https://bugzilla.redhat.com/show_bug.cgi?id=593651

Comment 2 nucleo 2010-12-10 14:14:23 UTC
I think that bug 593651 will be never fixed.
This bug should be fixed independently of bug 593651.
It was Goldendict upstream decision to use Office category.
We should follow upstream decision.

P.S. goldendict 1.0.1 released.

Comment 3 Howard Ning 2010-12-10 14:26:17 UTC
Thank you. I will update the latest and fix this bug when I have time.

Comment 4 Fedora Update System 2010-12-11 02:27:08 UTC
goldendict-1.0.1-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/goldendict-1.0.1-2.fc14

Comment 5 Fedora Update System 2010-12-11 02:27:49 UTC
goldendict-1.0.1-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/goldendict-1.0.1-2.fc13

Comment 6 Howard Ning 2010-12-11 02:47:06 UTC
I have tried to put it in Office category and updated it to the latest upstream. Please test and karma it.

Comment 7 Fedora Update System 2010-12-12 00:04:02 UTC
goldendict-1.0.1-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update goldendict'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/goldendict-1.0.1-2.fc13

Comment 8 Fedora Update System 2010-12-13 20:02:26 UTC
goldendict-1.0.1-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2010-12-13 20:08:19 UTC
goldendict-1.0.1-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.